gr::ieee802_15_4::dqcsk_demapper_cc Class Reference

<+description of block+> More...

`#include <dqcsk_demapper_cc.h>`

Inheritance diagram for gr::ieee802_15_4::dqcsk_demapper_cc:
[legend]

## Public Types

typedef boost::shared_ptr< dqcsk_demapper_cc > | sptr

## Static Public Member Functions

static sptr | make (std::vector< gr_complex > chirp_seq, std::vector< gr_complex > time_gap_1, std::vector< gr_complex > time_gap_2, int len_subchirp, int num_subchirps)
| Return a shared_ptr to a new instance of ieee802_15_4::dqcsk_demapper_cc. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<dqcsk_demapper_cc> gr::ieee802_15_4::dqcsk_demapper_cc::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::dqcsk_demapper_cc::make | ( | std::vector< gr_complex > | chirp_seq,
|  | std::vector< gr_complex > | time_gap_1,
|  | std::vector< gr_complex > | time_gap_2,
|  | int | len_subchirp,
|  | int | num_subchirps
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::dqcsk_demapper_cc.

To avoid accidental use of raw pointers, ieee802_15_4::dqcsk_demapper_cc's constructor is in a private implementation class. ieee802_15_4::dqcsk_demapper_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- dqcsk_demapper_cc.h